<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PengecualianMakanan extends Model
{
    use HasFactory;
    protected $fillable = ['user_id', 'makanan_id', 'waktu_makan_id', 'komponen_id'];

    public function makanan() {
        return $this->belongsTo(Makanan::class);
    }

    public function waktuMakan() {
        return $this->belongsTo(WaktuMakan::class);
    }

    public function komponen() {
        return $this->belongsTo(Komponen::class);
    }
}
